# Set-RASLetsEncryptSettings

### NAME

Set-RASLetsEncryptSettings\ <br>

### SYNOPSIS

Modifies the Let's Encrypt settings.\ <br>

### SYNTAX

Set-RASLetsEncryptSettings \[-[AutoRenewCertBeforeExpirationDays](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#AutoRenewCertBeforeExpirationDays) *\<uint>*] \[-[ExpirationEmails](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#ExpirationEmails) *\<string\[]>*] \[-[Replicate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#Replicate) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#SiteId) *\<uint>*] \[-[TermsAccepted](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#TermsAccepted) *\<bool>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASLetsEncryptSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Modifies the Let's Encrypt settings using the specified parameters and their values.\
\
All parameters are optional.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
Site ID in which to modify the specified Let's Encrypt settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TermsAccepted \<bool>**\
Whether Let's Encrypt Terms are accepted.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ExpirationEmails \<string\[]>**\
The list of email addresses where expiration emails will be sent.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AutoRenewCertBeforeExpirationDays \<uint>**\
The amount of days before expiration for automatic renewal to take place. Accepted values: 1-60 days; 0 for 'Never'.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Replicate \<bool>**\
\>Whether Replicate is enabled.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASLetsEncryptSettings -SiteID 1 -TermsAccepted $true\
\
Modifies the Let's Encrypt terms accepted to true.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasletsencryptsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
